# HttpCharStream.cpp File Reference

`#include "ace/ACE.h"`
`#include "ace/ace_wchar.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_string.h"`
`#include "ACEXML/common/HttpCharStream.h"`
`#include "ACEXML/common/Encoding.h"`

Include dependency graph for HttpCharStream.cpp:

## Variables

const int | HDST_LINE1_PROTOCOL = 0
const int | HDST_LINE1_WHITESPACE = 1
const int | HDST_LINE1_STATUS = 2
const int | HDST_BOL = 10
const int | HDST_TEXT = 11
const int | HDST_LF = 12
const int | HDST_CR = 13
const int | HDST_CRLF = 14
const int | HDST_CRLFCR = 15

## Variable Documentation

const int HDST_BOL = 10`[static]`

const int HDST_CR = 13`[static]`

const int HDST_CRLF = 14`[static]`

const int HDST_CRLFCR = 15`[static]`

const int HDST_LF = 12`[static]`

const int HDST_LINE1_PROTOCOL = 0`[static]`

const int HDST_LINE1_STATUS = 2`[static]`

const int HDST_LINE1_WHITESPACE = 1`[static]`

const int HDST_TEXT = 11`[static]`